=== debian/control ===
Source: dsh
Section: net
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>> 3.0.0) 
Standards-Version: 3.5.6

Package: dsh
Architecture: any
Depends: ${shlibs:Depends}
Suggests: update-cluster
Description: dancer's shell, or distributed shell
 Executes specified command on a group of computers using remote shell
 methods such as rsh. 
 .
 dsh aims to be a distributed shell with speed and efficiency, 
 although it has not reached that goal yet.
 .
 Something that is pretty handy when setting up clusters.
