## dsh 0.25.10

=== debian/changelog ===
dsh (0.25.10-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Package Salvage team
    CLoses: #1086438
  * Secure URI in watch file
  * Use secure URI in Homepage field.
  * Rules-Requires-Root: no
  * Standards-Version: 4.7.0 (routine-update)

  [ наб ]
  * debhelper-compat 13
  * Remove broken detection of getopt("+...") support, always exists
    Closes: #1074921
  * d/rules: turn into dh style
  * d/rules: debian-rules-ignores-make-clean-error
  * d/watch: version=2 -> 4 (no-op)
  * Break up d/p/debian to restore d/copyright correctness
  * lintian useless-autoreconf-build-depends
  * Drop versioned libdshconfig1-dev depends
  * d/rules: hardening

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 21 Nov 2024 10:10:51 +0100

dsh (0.25.10-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1043152)
  * d/copyright: Convert to machine-readable format.
  * Record the homepage in the appropriate place.
  * d/rules: Let build-stamp depend on configure-stamp. (Closes: #866363)
  * Drop non-existing Suggest. (Closes: #921441)
  * Replace old debhelper commands. (Closes: #1044630)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #869478)
    + Let dh_auto_configure pass cross compilers to ./configure.
    + Let dh_auto_test honour DEB_BUILD_OPTIONS=nocheck.
    + Do not strip at install time, let dh_strip do it.

 -- Bastian Germann <bage@debian.org>  Sun, 18 Feb 2024 18:55:04 +0000

dsh (0.25.10-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999207).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 18:03:11 -0300

dsh (0.25.10-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Use strict mode in maintainer scripts. (Closes: #866270)
  * Lintian fixes:
    * Add ${misc:Depends} to the Depends line as debhelper is in use
    * Add debian/source/format
  * Add and integrate German program translation. Thanks to Chris Leick.
    (Closes: #577157)
  * Extend SEE ALSO to integrate links to alternative tools. Thanks jaalto.
    (Closes: #518175)
  * Add bash completion. Thanks to Jordi Funollet. (Closes: #528444)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 14 Dec 2018 08:14:20 +0100

dsh (0.25.10-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't ship symlink for /etc/dsh/group/all. (Closes: #788585)

 -- Ivo De Decker <ivodd@debian.org>  Sat, 08 Apr 2017 23:58:21 +0200

dsh (0.25.10-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817439)

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 14:50:25 +0200

dsh (0.25.10-1.1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Non-maintainer upload.

  [ Logan Rosen ]
  * Use autotools-dev to update config.{sub,guess} for new arches (Closes:
    #735633).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Oct 2014 21:55:24 +0200

dsh (0.25.10-1) unstable; urgency=low

  * New upstream version
  - output is 'setlinebuf'd for better viewing.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 14 Dec 2007 09:05:39 +0900

dsh (0.25.9-1) unstable; urgency=low

  * New upstream version
  - add --hide-machine-names
  - use po4a for manpage management.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 15 Aug 2007 09:03:39 +0900

dsh (0.25.8-1) unstable; urgency=low

  * New upstream version
  - Bug fix: "forklimit in dsh.conf will not work correctly.", thanks to
    Holger Paschke (Closes: #420528).
  * add pbuilder-test.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 18 May 2007 20:18:13 +0900

dsh (0.25.7-1) unstable; urgency=low

  * New upstream version
  * fix manual page.
  * Standards-version: 3.7.2
  * dh_compat=4

 -- Junichi Uekawa <dancer@debian.org>  Fri, 11 Aug 2006 23:15:17 +0900

dsh (0.25.6-1) unstable; urgency=low

  * New upstream version
  - fix build failure on solaris.
  * add uscan file

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 Mar 2005 09:41:55 +0900

dsh (0.25.5-1) unstable; urgency=low

  * New upstream version
  - reverse iteration of machinelist is now modified to be in the
    'proper' order. (closes: #291586)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 16 Mar 2005 09:12:22 +0900

dsh (0.25.4-1) unstable; urgency=low

  * New upstream version
  - fix compilation error on solaris. (closes: #283728)

 -- Junichi Uekawa <dancer@debian.org>  Fri,  3 Dec 2004 08:56:27 +0900

dsh (0.25.3-1) unstable; urgency=low

  * New upstream version
  - Rebuild with libdshconfig with versioned symbols
  - support # as comments in machine files (closes: #249794)

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 Jun 2004 17:30:05 +0900

dsh (0.25.2.1-1) unstable; urgency=low

  * New upstream version
  * Rebuild original tar archive with fixed automake1.8 (closes: #244869)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 25 Apr 2004 11:46:05 +0900

dsh (0.25.2-1) unstable; urgency=low

  * New upstream version
  - Update documentation about 'dsh -ci' limitations.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 20 Apr 2004 20:49:55 +0900

dsh (0.25.1-1) unstable; urgency=low

  * New upstream version
    Fix assertion error, and document workaround;
    use Ctrl-D instead of exit for now
    (Closes: #228513).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 22 Jan 2004 09:16:45 +0900

dsh (0.25.0-1) unstable; urgency=low

  * New upstream version
  - support windowing of connections.
  * update package description.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 17 Sep 2003 07:11:32 +0900

dsh (0.24.2-1) unstable; urgency=low

  * New upstream version
  - added check for the 'security hole' to see if it really exists.
  * Standards-version: 3.6.1

 -- Junichi Uekawa <dancer@debian.org>  Tue, 26 Aug 2003 08:39:39 +0900

dsh (0.24.0-1) unstable; urgency=low

  * New upstream version
  * Standards-version: 3.6.0

 -- Junichi Uekawa <dancer@debian.org>  Tue,  5 Aug 2003 05:39:04 +0900


