=== debian/control ===
Source: dsh
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper, debhelper-compat (= 13), libdshconfig1-dev, po4a
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/dsh
Vcs-Git: https://salsa.debian.org/salvage-team/dsh.git
Homepage: https://www.netfort.gr.jp/~dancer/software/dsh.html
Rules-Requires-Root: no

Package: dsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dancer's shell, or distributed shell
 Executes specified command on a group of computers using remote shell
 methods such as rsh or ssh.
 .
 dsh can parallelise job submission using several algorithms, such as using
 fan-out method or opening as much connections as possible, or
 using a window of connections at one time.
 It also supports "interactive mode" for interactive maintenance of
 remote hosts.
 .
 This tool is handy for administration of PC clusters, and multiple hosts.
