=== debian/watch ===
version=4
https://www.netfort.gr.jp/~dancer/software/downloads dsh-([\d+\.]+).tar.gz
